Bug 24726 - overdue_notices.pl should use Koha::Library->inbound_email_address
Summary: overdue_notices.pl should use Koha::Library->inbound_email_address
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on: 22823
Blocks:
  Show dependency treegraph
 
Reported: 2020-02-25 13:15 UTC by Martin Renvoize
Modified: 2020-04-03 20:36 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24726: Update overdue_notices to use get_effective_email (1.49 KB, patch)
2020-02-25 13:23 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24726: Update overdue_notices to use inbound_email_address (1.50 KB, patch)
2020-03-18 09:55 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24726: Update overdue_notices to use inbound_email_address (1.57 KB, patch)
2020-03-18 10:23 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24726: Replace one occurrence in print statement (1.10 KB, patch)
2020-03-18 10:23 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-02-25 13:15:51 UTC
Bug 22823 introduced a consistent method for obtaining the inbound email address of a library branch, we should use that method to obtain the correct address for use with the overdues functionality when a patron email is not found.
Comment 1 Martin Renvoize 2020-02-25 13:23:44 UTC
Created attachment 99580 [details] [review]
Bug 24726:  Update overdue_notices to use get_effective_email

This patch updates the overdue_notices functionality to use the
get_effective_email method to obtain the correct email address
for a branch.
Comment 2 Jonathan Druart 2020-03-18 09:55:26 UTC
Created attachment 100943 [details] [review]
Bug 24726: Update overdue_notices to use inbound_email_address

This patch updates the overdue_notices functionality to use the
inbound_email_address method to obtain the correct email address
for a branch.
Comment 3 Jonathan Druart 2020-03-18 09:55:48 UTC
The method has been renamed in a previous bug report.
Comment 4 Jonathan Druart 2020-03-18 10:23:31 UTC
Created attachment 100949 [details] [review]
Bug 24726: Update overdue_notices to use inbound_email_address

This patch updates the overdue_notices functionality to use the
inbound_email_address method to obtain the correct email address
for a branch.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2020-03-18 10:23:34 UTC
Created attachment 100950 [details] [review]
Bug 24726: Replace one occurrence in print statement

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2020-03-18 10:24:23 UTC
Trivial patch, tested on top of the whole stack. Passing QA.
Comment 7 Martin Renvoize 2020-03-19 09:39:49 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 8 Joy Nelson 2020-04-03 20:36:52 UTC
not backported to 19.11.x due to dependencies